class CEntry : public Cobject {
public: 
	CEntry			*m_nextP;
	CEntityInstance *m_valueP;

	CEntry(CEntityInstance *eP, CEntry *nextP); 
};

class CEntityCache : public Cobject {
private:
	static CEntry	*m_table[0x40000];

    /**
     * The total number of entries in the hash table.
     */

    static int		m_count;

    /**
     * Returns the number of keys in this hashtable.
     *
     * @return  the number of keys in this hashtable.
     */

    int size(void) 
	{
		return m_count;
    }

protected:
	CEntityInstance *getFirst(int start);

public:
	CEntityCache()
	{
		m_count      = 0;
	}

 	void put(CEntityInstance *eP); 
	void remove(CEntityInstance *eP); 
	CEntityInstance *get(const char *idP); 
};
